package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Transient;


/**
 * The persistent class for the accident_type database table.
 * 
 */
@Entity
@Table(name="f_accident_type")
@NamedQuery(name="AccidentType.findAll", query="SELECT a FROM AccidentType a")
public class AccidentType extends BasicEntity  {
	private static final long serialVersionUID = 1L;


	@Column(name="create_by")
	private String createBy;

	@Column(name="dept_id")
	private String deptId;


	private String name;
	
	
	@Column(name="evaluation_sid")
	private String evaluationSid;

	@Column(name="org_code")
	private String orgCode;

	private String remark;

	private String severity;
	

	private String influence;

	public AccidentType() {
	}


	

	public String getCreateBy() {
		return createBy;
	}




	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}




	public String getDeptId() {
		return deptId;
	}




	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}




	@Transient
	public String getInfluence() {
		return this.influence;
	}

	public void setInfluence(String influence) {
		this.influence = influence;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEvaluationSid() {
		return evaluationSid;
	}


	public void setEvaluationSid(String evaluationSid) {
		this.evaluationSid = evaluationSid;
	}

	public String getOrgCode() {
		return this.orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	@Transient
	public String getSeverity() {
		return this.severity;
	}

	public void setSeverity(String severity) {
		this.severity = severity;
	}

}